<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add new domain</title>
    <link rel="stylesheet" href="../models/codemirror/codemirror.css">
    <script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
    <script src="../models/codemirror/codemirror.js"></script>
    <script src="../models/codemirror/javascript/javascript.js" type="text/javascript" charset="utf-8"></script>
</head>
<body>

  <table style="height:100%; width: 100%">
      <tr>
          <td colspan="2">
              <h1>Add new domain</h1>
          </td>
      </tr>
      <tr>
          <td style="height:100%; width: 50%" valign="top">
              <table>
                  <tr>
                      <td>
                          <label class="json_content" id="n_sections">Number of sections: </label>
                      </td>
                  </tr>
              </table>
          </td>
          <td style="height:100%; width: 50%">
              <div>
                  <button id="btn_test">Test</button>
              </div>
              <div style="position:relative; overflow:auto; height:100%; width:100%; border:solid 2px #0099cc;">
                  <textarea class="editor" style="position:absolute; left:0; top:0;"></textarea>
              </div>
          </td>
      </tr>
  </table>
</body>
<script src="../socket_connector.js"></script>
<script>
    var editor = CodeMirror.fromTextArea(document.querySelector('.editor'), {
        lineNumbers: true,
        mode: "javascript"
    });

    var editor_json = {};
    var button = document.getElementById("btn_test");

    editor.on("change", function(){
        console.log(JSON.parse(editor.getValue()))
        editor_json = JSON.parse(editor.getValue())
        _n_sections_text = document.getElementById("n_sections").innerHTML
        document.getElementById("n_sections").innerHTML = _n_sections_text + editor_json.locations.length;
    });

    button.addEventListener("click", function (e){
        socket.emit("test_masterpage_crawler", {
            "control_json": editor_json
        });
    });

    socket.on("masterpage_crawled", function(message) {
        console.log(message)
    });
</script>
<script>
    function addTable() {
        var myTableDiv = document.getElementById("metric_results")
        var table = document.createElement('TABLE')
        var tableBody = document.createElement('TBODY')

        table.border = '1'
        table.appendChild(tableBody);

        var heading = new Array();
        heading[0] = "Request Type"
        heading[1] = "Group A"
        heading[2] = "Groub B"
        heading[3] = "Group C"
        heading[4] = "Total"

        var stock = new Array()
        stock[0] = new Array("Cars", "88.625", "85.50", "85.81", "987")
        stock[1] = new Array("Veggies", "88.625", "85.50", "85.81", "988")
        stock[2] = new Array("Colors", "88.625", "85.50", "85.81", "989")
        stock[3] = new Array("Numbers", "88.625", "85.50", "85.81", "990")
        stock[4] = new Array("Requests", "88.625", "85.50", "85.81", "991")

        //TABLE COLUMNS
        var tr = document.createElement('TR');
        tableBody.appendChild(tr);
        for (i = 0; i < heading.length; i++) {
            var th = document.createElement('TH')
            th.width = '75';
            th.appendChild(document.createTextNode(heading[i]));
            tr.appendChild(th);
        }

        //TABLE ROWS
        for (i = 0; i < stock.length; i++) {
            var tr = document.createElement('TR');
            for (j = 0; j < stock[i].length; j++) {
                var td = document.createElement('TD')
                td.appendChild(document.createTextNode(stock[i][j]));
                tr.appendChild(td)
            }
            tableBody.appendChild(tr);
        }
        myTableDiv.appendChild(table)
    }
</script>
<style>
    html,body{
        height:100%;
        margin:0;
        overflow:hidden;
    }
    .CodeMirror{
        width:100%;
    }
</style>
</html>